| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::gapi::wip::Data Struct Reference

This aggregate type represents all types which G-API can handle (via variant). More...

`#include <opencv2/gapi/garg.hpp>`

Inheritance diagram for cv::gapi::wip::Data:

## Public Member Functions
template<typename T >
Data & | operator= (const T &t)
template<typename T >
Data & | operator= (T &&t)
Public Member Functions inherited from cv::util::variant< Ts >
| variant () noexcept
| variant (const variant &other)
| variant (variant &&other) noexcept
template<typename T >
| variant (const T &t)
template<typename T >
| variant (T &&t, typename detail::are_different< variant, T, int >::type=0)
| ~variant ()
std::size_t | index () const noexcept
variant & | operator= (const variant &rhs)
variant & | operator= (variant &&rhs) noexcept
template<class T >
detail::are_different< variant, T, variant & >::type | operator= (T &&t) noexcept
template<typename... Ts>
variant< Ts... > & | operator= (const variant< Ts... > &rhs)
template<typename... Ts>
variant< Ts... > & | operator= (variant< Ts... > &&rhs) noexcept
void | swap (variant &rhs) noexcept

## Additional Inherited Members
Static Public Member Functions inherited from cv::util::variant< Ts >
template<typename T >
static constexpr std::size_t | index_of ()
Protected Attributes inherited from cv::util::variant< Ts >
Memory | memory

## Detailed Description

This aggregate type represents all types which G-API can handle (via variant).

It only exists to overcome C++ language limitations (where a `using`-defined class can't be forward-declared).

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T >

Data& cv::gapi::wip::Data::operator= | ( | const T & | t | ) |
| inline

## ◆ operator=() [2/2]

template<typename T >

Data& cv::gapi::wip::Data::operator= | ( | T && | t | ) |
| inline

The documentation for this struct was generated from the following file:

- opencv2/gapi/garg.hpp